GROMACS - Bug #573

CMake doesn't detect Altivec support
09/28/2010 05:21 PM - Justin Lemkul

Status: Closed

Priority: Normal

Assignee: Erik Lindahl

Category: build system

Target version: 4.6

Affected version - Difficulty:
extra info:

Affected version:

uncategorized

Description

While installing 4.5.1 with CMake on PowerPC, the Altivec nonbonded kernels are not detected, although they are when installing
using autoconf, even though these are non-functional (bug report to follow). The log file simply reports that standard kernels are

being used:

Configuring nonbonded kernels...
Configuring standard C nonbonded kernels...

Also related to the thread started here:

http:/lists.gromacs.org/pipermail/gmx-users/2010-September/054352.html

Related issues:
Related to GROMACS - Bug #574: Using autoconf produces zero forces with Altivec
Related to GROMACS - Bug #682: Gromacs 4.5.3 fails to compile on ppc

Closed 09/28/2010
Closed 01/24/2011

History

#1 - 11/08/2010 04:47 PM - Rossen Apostolov
| commited a patch: cc79213a5e0722715b63ad5c82f7fa7f4d2d3a70.

Can you check whether it works now?

#2 - 11/08/2010 09:31 PM - Justin Lemkul
(In reply to comment #1)

| commited a patch: cc79213a5e0722715b63ad5c82f7fa7f4d2d3a70.

Can you check whether it works now?

Yes, it does. Thank you! The only weird part is that the use of Altivec kernels is not reported in the md.log file any more. Is this expected? | get the

correct output, building with -DGMX_ACCELERATION=ALTIVEC.

#3 - 11/08/2010 10:52 PM - Rossen Apostolov

Hmm... | think it should be saying "Configuring PPC/Altivec nonbonded kernels..." but | don't have a machine to test on

#4 - 11/08/2010 11:53 PM - Justin Lemkul

Created an attachment (id=565)
config.h file generated by cmake

#5 - 11/08/2010 11:53 PM - Justin Lemkul
(In reply to comment #4)

Created an attachment (id=565) [details]
config.h file generated by cmake

I'm attaching my config.h file that cmake generated, in case that helps. | don't know how else to tell if things went as planned.
http://lists.gromacs.org/pipermail/gmx-users/2010-September/054352.html
http://redmine.gromacs.org/issues/1
http://redmine.gromacs.org/issues/4

#6 - 02/23/2011 03:14 AM - Szilard Pall

- Category changed from mdrun to build system
- Assignee deleted (Erik Lindahl)

- Target version deleted (4.5.1)

#7 - 08/05/2012 07:34 AM - Teemu Murtola
- Status changed from New to Closed
- Assignee set to Erik Lindahl

- Target version set to 4.6

Altivec support has been removed in 5ba7125c for 4.6, so closing this issue.

Files

config.h 12.1 KB
